.main__search {
  display: inline-flex;
  @include adaptiv-value('gap', 20, 10, 1);
  flex-direction: column;
  justify-content: center;
  @include adaptiv-value('margin-bottom', 16, 10, 1);

  background: rgb(33, 112, 146);

  @include adaptiv-value('padding-top', 20, 12, 1);
  @include adaptiv-value('padding-bottom', 20, 12, 1);
  @include adaptiv-value('padding-left', 24, 16, 1);
  @include adaptiv-value('padding-right', 24, 16, 1);

  .search__title,
  .search__completed,
  .search__urgency {
    outline: none;
    @include adaptiv-value('font-size', 12, 10, 1);
    @include adaptiv-value('width', 250, 200, 1);
    line-height: 1;
    cursor: pointer;

    @include adaptiv-value('padding-top', 10, 6, 1);
    @include adaptiv-value('padding-bottom', 10, 6, 1);
    @include adaptiv-value('padding-left', 10, 6, 1);
    @include adaptiv-value('padding-right', 10, 6, 1);

    color: #333;
    background: #e2fff5;
    border: none;

    transition: 0.3s ease;
  }

  .search__title {
    cursor: auto;

    &::placeholder {
      color: rgb(150, 184, 185);
    }
  }

  .search__btn {
    @include flex-center();
    flex-wrap: nowrap;
    @include adaptiv-value('gap', 20, 10, 1);
    width: 100%;
    display: none;

    .btn {
      padding: 0;
      @include adaptiv-value('width', 42, 25, 1);
      @include adaptiv-value('height', 42, 25, 1);
    }
  }
}

@media screen and (min-width: $md-min-content) and (max-width: $md-max-content) {
  .search__btn {
    width: 100%;
  }
}

@media screen and (min-width: $lg-min-content) {
  .main__search {
    flex-wrap: nowrap;
    flex-direction: row;
  }
}
